Package org.springframework.security.config.annotation.web.builders

# Class WebSecurity.IgnoredRequestConfigurer

java.lang.Object
org.springframework.security.config.annotation.web.AbstractRequestMatcherRegistry<WebSecurity.IgnoredRequestConfigurer>
org.springframework.security.config.annotation.web.builders.WebSecurity.IgnoredRequestConfigurer

Enclosing class:
  WebSecurity

public class WebSecurity.IgnoredRequestConfigurer extends AbstractRequestMatcherRegistry<WebSecurity.IgnoredRequestConfigurer>
Allows registering `RequestMatcher` instances that should be ignored by Spring Security.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`WebSecurity`
`and()`
Returns the `WebSecurity` to be returned for chaining.
`protected WebSecurity.IgnoredRequestConfigurer`
`chainRequestMatchers(List<org.springframework.security.web.util.matcher.RequestMatcher> requestMatchers)`
Subclasses should implement this method for returning the object that is chained to the creation of the `RequestMatcher` instances.

### Methods inherited from class org.springframework.security.config.annotation.web.AbstractRequestMatcherRegistry

`anyRequest, createMvcMatchers, dispatcherTypeMatchers, dispatcherTypeMatchers, getApplicationContext, requestMatchers, requestMatchers, requestMatchers, requestMatchers, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### chainRequestMatchers

protected WebSecurity.IgnoredRequestConfigurer chainRequestMatchers(List<org.springframework.security.web.util.matcher.RequestMatcher> requestMatchers)
Description copied from class: `AbstractRequestMatcherRegistry`
Subclasses should implement this method for returning the object that is chained to the creation of the `RequestMatcher` instances.

Specified by:
  `chainRequestMatchers` in class `AbstractRequestMatcherRegistry<WebSecurity.IgnoredRequestConfigurer>`
Parameters:
  `requestMatchers` - the `RequestMatcher` instances that were created
Returns:
  the chained Object for the subclass which allows association of something else to the `RequestMatcher`

### and

public WebSecurity and()
Returns the `WebSecurity` to be returned for chaining.